POST
/
api
/
v1
/
platform
/
tenants
/
{tenant_id}
/
callbacks
/
endpoints
/
{endpoint_id}
/
subscriptions
Create callback subscription
curl --request POST \
  --url https://api.example.com/api/v1/platform/tenants/{tenant_id}/callbacks/endpoints/{endpoint_id}/subscriptions \
  --header 'Content-Type: application/json' \
  --header 'X-Api-Id: <x-api-id>' \
  --header 'X-Api-Nonce: <x-api-nonce>' \
  --header 'X-Api-Signature: <api-key>' \
  --header 'X-Api-Timestamp: <x-api-timestamp>' \
  --data '
{
  "event_type": "command.completed",
  "status": "ACTIVE"
}
'
{
  "subscription_id": "callback_subscription_001",
  "tenant_id": "tenant_001",
  "endpoint_id": "callback_endpoint_001",
  "event_type": "command.completed",
  "status": "ACTIVE",
  "request_id": "req-001"
}

Authorizations

X-Api-Signature
string
header
required

UTMOS HMAC request signature with X-Api-Id, X-Api-Timestamp and X-Api-Nonce.

Headers

X-Api-Id
string
required

Platform or tenant administrator credential

X-Api-Timestamp
string
required

Unix seconds

X-Api-Nonce
string
required

Replay-protection nonce

X-Api-Signature
string
required

HMAC signature

X-Request-Id
string

Caller correlation ID; generated when omitted

Path Parameters

tenant_id
string
required

Tenant identifier

endpoint_id
string
required

Callback endpoint identifier

Body

application/json
event_type
enum<string>
required

Subscribable command event type. Command result states are carried by command.completed payload fields, not by separate command.succeeded or command.failed event types.

Available options:
command.accepted,
command.completed
status
enum<string>
Available options:
ACTIVE,
DISABLED,
DELETED

Response

Created

subscription_id
string
tenant_id
string
endpoint_id
string
event_type
enum<string>

Subscribable command event type. Command result states are carried by command.completed payload fields, not by separate command.succeeded or command.failed event types.

Available options:
command.accepted,
command.completed
status
enum<string>
Available options:
ACTIVE,
DISABLED,
DELETED
request_id
string